import { Timeline } from './../index';
import { AfterViewInit, ElementRef, OnInit, OnChanges, OnDestroy, SimpleChanges } from '@angular/core';
import { BaseElement } from './smart.element';
import * as i0 from "@angular/core";
export { ElementRenderMode } from './../index';
export { Smart } from './smart.element';
export { Timeline } from './../index';
export declare class TimelineComponent extends BaseElement implements OnInit, AfterViewInit, OnDestroy, OnChanges {
    constructor(ref: ElementRef<Timeline>);
    private eventHandlers;
    nativeElement: Timeline;
    /** @description Creates the component on demand.
     * @param properties An optional object of properties, which will be added to the template binded ones.
     */
    createComponent(properties?: {}): any;
    /** @description Sets or gets whether the Timeline is with auto width in horizontal mode.  */
    get autoWidth(): boolean;
    set autoWidth(value: boolean);
    /** @description Sets or gets whether the items can be collapsed.  */
    get collapsible(): boolean;
    set collapsible(value: boolean);
    /** @description Sets or gets whether the Timeline is disabled.  */
    get disabled(): boolean;
    set disabled(value: boolean);
    /** @description Sets or gets whether the Timeline is horizontal.  */
    get horizontal(): boolean;
    set horizontal(value: boolean);
    /** @description Sets or gets position. The possible values are 'near', 'far' and 'both'. */
    get position(): string;
    set position(value: string);
    /** @description Sets or gets the items.  Each item should be an object. The object has the following properties: date: date, description: string, subtitle: string, css: string, dotCSS: string, title: string and icon: string. Example: [{ date: 'May 15, 2024', description: 'Flight: Reserving airline tickets', subtitle: 'May 15, 2024', title: 'Flight Reservation', icon: 'material-icons flight', dotCSS: '' }] */
    get dataSource(): any[];
    set dataSource(value: any[]);
    get isRendered(): boolean;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    /** @description Add event listeners. */
    private listen;
    /** @description Remove event listeners. */
    private unlisten;
    static ɵfac: i0.ɵɵFactoryDeclaration<TimelineComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TimelineComponent, "smart-timeline, [smart-timeline]", ["smart-timeline"], { "autoWidth": "autoWidth"; "collapsible": "collapsible"; "disabled": "disabled"; "horizontal": "horizontal"; "position": "position"; "dataSource": "dataSource"; }, {}, never>;
}
